#set -x
file=/tmp/$$

if [ -L /config/dropbear ] ; then
    rm -r /config/dropbear
fi

[ ! -d "/tmp/mnt" ] && mkdir -p /tmp/mnt

if [ -e /dev/mmcblk0p1 ]; then
    mount -t vfat /dev/mmcblk0p1 /tmp/mnt
    cp -rf uramdisk.image.gz /tmp/mnt
    cp -rf update.image.gz  /tmp/mnt
    umount /dev/mmcblk0p1
    sync
elif [ -e /dev/mmcblk0 ]; then
    mount -t vfat /dev/mmcblk0 /tmp/mnt
    cp -rf uramdisk.image.gz /tmp/mnt
    cp -rf update.image.gz  /tmp/mnt
    umount /dev/mmcblk0
    sync
else
    echo "Error SD card!" >> /tmp/upgrade_result
fi

rm -rf /config/scanfreqdone 2>/dev/null

sync >/dev/null 2>&1
reboot